> ## Documentation Index
> Fetch the complete documentation index at: https://docs.old.palomma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve merchant account



## OpenAPI

````yaml GET /merchantAccounts/{merchantAccountId}
openapi: 3.0.0
info:
  title: Palomma API
  description: This API includes functionality of the Palomma API.
  version: 1.0.0
servers:
  - url: https://api.palomma.com/v0
    description: Production server
  - url: https://sandbox.api.palomma.com/v0
    description: Sandbox server
security:
  - BearerAuth: []
paths:
  /merchantAccounts/{merchantAccountId}:
    get:
      tags:
        - Merchant Accounts
      summary: Retrieve a Merchant Account
      operationId: getMerchantAccountById
      parameters:
        - name: merchantAccountId
          in: path
          required: true
          description: Unique identifier of the merchant account.
          schema:
            type: string
      responses:
        '200':
          description: Merchant Account retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MerchantAccount'
        '400':
          description: Bad request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '404':
          description: Merchant Account not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
components:
  schemas:
    MerchantAccount:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for this Merchant Account.
          example: 01HPR8QBF5QKA313RPBSKYB7DS
        description:
          type: string
          description: Text configured on creation to identify the Merchant Account.
        unsettledAmount:
          type: number
          description: Amount of money in the Merchant Account that is not yet settled.
          example: 500000
        payoutLimitBalance:
          type: number
          description: >-
            Remaining balance for which payouts can be made. This balance is set
            optionally to restrict the amount of money that can be paid out from
            the Merchant Account. It can be replenished by contacting us.
          example: 200000
        type:
          type: string
          enum:
            - aggregator
            - gateway
          description: >-
            Type of the Merchant Account. Merchant Accounts are either
            aggregator or gateway. Aggregator accounts maintain a balance in
            Palomma which can be used to make payout requests while gateway
            accounts automatically withdraw funds on creation of Payin
            Settlements recurringly.
        availableBalance:
          type: number
          description: >-
            Amount of money in the Aggregator Merchant Account that has been
            settled and is available for payout. Not applicable for Gateway
            Merchant Accounts.
          example: 1000000
        payinsEnabled:
          type: boolean
          description: >-
            Whether payins are enabled for Gateway Merchant Account. Only
            applicable for Gateway Merchant Accounts, as aggregator accounts are
            always able to receive payins.
        payoutsEnabled:
          type: boolean
          description: >-
            Whether payouts are enabled for Gateway Merchant Account. Only
            applicable for Gateway Merchant Accounts, as aggregator accounts are
            always able to make payouts.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````